org.apache.poi.xssf.usermodel.charts

## Class AbstractXSSFChartSeries

- java.lang.Object
- - org.apache.poi.xssf.usermodel.charts.AbstractXSSFChartSeries

- All Implemented Interfaces:
    ChartSeries

  Deprecated.
  use `XDDFChartData.Series` instead

      @Deprecated
       @Removal(version="4.2")
      public abstract class AbstractXSSFChartSeries
      extends java.lang.Object
      implements ChartSeries

  Base of all XSSF Chart Series

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXSSFChartSeries()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTSerTx` | `getCTSerTx()` Deprecated.
    `CellReference` | `getTitleCellReference()` Deprecated.
    `java.lang.String` | `getTitleString()` Deprecated.
    `TitleType` | `getTitleType()` Deprecated.
    `protected boolean` | `isTitleSet()` Deprecated.
    `void` | `setTitle(CellReference titleReference)` Deprecated. Sets the title of the series as a cell reference.
    `void` | `setTitle(java.lang.String title)` Deprecated. Sets the title of the series as a string literal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXSSFChartSeries

          public AbstractXSSFChartSeries()

      Deprecated.

  - ### Method Detail

    - #### setTitle

          public void setTitle(CellReference titleReference)

      Deprecated.
      Description copied from interface: `ChartSeries`
      Sets the title of the series as a cell reference.
      Specified by:
        `setTitle` in interface `ChartSeries`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Deprecated.
      Description copied from interface: `ChartSeries`
      Sets the title of the series as a string literal.
      Specified by:
        `setTitle` in interface `ChartSeries`

    - #### getTitleCellReference

          public CellReference getTitleCellReference()

      Deprecated.
      Specified by:
        `getTitleCellReference` in interface `ChartSeries`
      Returns:
        title as cell reference.

    - #### getTitleString

          public java.lang.String getTitleString()

      Deprecated.
      Specified by:
        `getTitleString` in interface `ChartSeries`
      Returns:
        title as string literal.

    - #### getTitleType

          public TitleType getTitleType()

      Deprecated.
      Specified by:
        `getTitleType` in interface `ChartSeries`
      Returns:
        title type.

    - #### isTitleSet

          protected boolean isTitleSet()

      Deprecated.

    - #### getCTSerTx

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTSerTx getCTSerTx()

      Deprecated.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.